PostgreSQL 7.2.1 Documentation
Prev |  | Next

# write

## Name

write -- writes to the large object

## Synopsis

    write(string)

### Parameters

`string`

  Buffer to be written (string).

### Return Type

none

### Exceptions

TypeError

  Bad parameter type, or too many arguments.

IOError

  Object is not opened, or write error.

pg.error

  Invalid connection or invalid object.

## Description

`write()` method allows to write data to the large object, starting at current position.

Prev | Home | Next
read | Up | seek